
.radio-with-image-label {
    display:         flex;
    flex-direction:  column;
    justify-content: flex-start;
    font-size:       11px;
    line-height:     1.42857143 !important;
}

/**
 * Farm Dashboard
 */

.farm-dashboard-widget .widget-main {
    max-height: 450px;
    overflow-y: auto;
}

#flock_age_list_container .widget-main {
    max-height: 570px;
    overflow-y: auto;
}

.filter-row {
    max-width: 100px;
}

.dataTables_processing
{
    z-index: 105
}

/**
 * Feather score
 */

.feather-score-container {
    display:         flex;
    flex-direction:  row;
    flex-wrap:       wrap;
    justify-content: space-around;
}

.feather-score-selector {
    width:  231px;
    margin: 0 5px 10px;
}

.feather-score-selector .radio-with-image-label {
    height:        100%;
    border-radius: 15px;
    padding:       15px;
    overflow:      hidden;
    text-align:    center;
}

.feather-score-image {
    width:  201px;
    height: 152px;
    margin: 0 0 10px;
}

.feather-score-selector .radio-with-image-label-description {
    margin-top: 10px;
}

/**
 * Litter score
 */

.litter-score-container {
    display:         flex;
    flex-direction:  row;
    flex-wrap:       wrap;
    justify-content: flex-start;
    max-width:       700px;
}

.litter-score-selector {
    width:  130px;
    height: 170px;
    margin: 0 5px 10px;
}

.litter-score-selector .radio-with-image-label {
    height:        100%;
    border-radius: 15px;
    padding:       15px 0;
    overflow:      hidden;
    text-align:    center;
}

.litter-score-image {
    width:  100px;
    height: 100px;
    margin: 0 0 10px;
}

/**
 * Feed Silos
 */

.feed-silos-container {
    display:        flex;
    flex-direction: row;
}

.feed-silo-status-container {
    flex:           1 1 auto;
    display:        flex;
    flex-direction: column;
}

.feed-silo-status-information-container {
    display:         flex;
    flex-direction:  row;
    flex:            1 1 auto;
    height:          auto;
    width:           100%;
    justify-content: center;
    align-items:     center;
}

.feed-silo-graphic-container {
    display:         flex;
    justify-content: center;
    margin-bottom:   20px;
}

.siloCanvas {
    position: relative;
}


/**
 * Dashboard Widgets
 */

.widget-header-small > .widget-toolbar > .nav-tabs {
    top: 1px;
    margin-right: 5px;
}

/**
 * Animation and Icons
 */
.icon-animated-ringing {
    display:          inline-block !important;
    animation:        ringing 2.0s infinite ease 2.0s;
    transform-origin: 50% 0;
}

.icon-balance-scale:before {
    content:"\f24e"
}

/**
 * House Selection
 */
#house-selection > .dropdown-menu {
    left: auto;
    right: 0;
}
#house-selection .dropdown-menu > .btn-group-vertical {
    display: block;
}
#house-selection > .dropdown-menu > .btn-group-vertical > .btn-group {
    margin-top: 1px;
}
#house-selection .btn.btn-white {
    background-color: #FFF !important;
    border-color:     #FFF !important;
    text-align: left;
}
#house-selection .dropdown-menu ul.dropdown-menu {
    left: -100%;
    top: 0;
}
#house-selection .btn:disabled {
    pointer-events: auto;
}
@media (min-width: 768px) {
    #house-selection .dropdown-menu .dropdown-menu {
        left: -100%;
        top: 0;
    }
    #house-selection .dropdown-menu .btn.btn-brand {
        text-align: left;
    }
    #house-selection .hidden-xs {
        display: inline !important;
    }
}

/**
 * Tables
 */
table.dataTable {
    margin-top:    0 !important;
    margin-bottom: 0 !important;
    max-width:     100% !important;
    width:         100% !important;
}

.dataTables_wrapper .row:first-child,
.dataTables_wrapper .row:last-child {
    padding-top:    6px;
    padding-bottom: 1px;
    border:         none;
}

table.dataTable th:not(:first-child),
table.dataTable td:not(:first-child) {
    border-left: 1px solid #ddd !important;
}

.table thead > tr > th {
    border-bottom: none;
}

.widget-body tbody td {
    background-color: white;
}

table.bordered tr th:not(:first-child),
table.bordered tr td:not(:first-child),
table.bordered tr th:first-child.bordered,
table.bordered tr td:first-child.bordered {
    border-left: 1px solid #ddd;
}

.widget-header-small > .widget-toolbar > .nav-tabs > li > a {
    padding-top: 7px;
    padding-bottom: 8px;
}

/**
 * Action buttons
 */
.action-buttons a:not(:last-child) {
    margin-bottom: 15px;
    margin-right: 15px;
}

@media (min-width: 992px) {
    .action-buttons a:not(:last-child) {
        margin-bottom: 0;
        margin-right: 3px;
    }
}

@keyframes ringing {
    0% {
        transform: rotate(-15deg);
    }
    2% {
        transform: rotate(15deg);
    }
    4% {
        transform: rotate(-18deg);
    }
    6% {
        transform: rotate(18deg);
    }
    8% {
        transform: rotate(-22deg);
    }
    10% {
        transform: rotate(22deg);
    }
    12% {
        transform: rotate(-18deg);
    }
    14% {
        transform: rotate(18deg);
    }
    16% {
        transform: rotate(-12deg);
    }
    18% {
        transform: rotate(12deg);
    }
    20% {
        transform: rotate(0deg);
    }
}

.invalid .select2-selection.select2-selection--single,
.invalid .select2-selection.select2-selection--multiple {
    background-color: #F2DEDE;
}
